cabal-install-3.10.2.1: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Client.CmdSdist

# Documentation

sdistCommand :: CommandUI (ProjectFlags, SdistFlags) #

sdistAction :: (ProjectFlags, SdistFlags) -> [String] -> GlobalFlags -> IO () #

packageToSdist :: Verbosity -> FilePath -> OutputFormat -> FilePath -> UnresolvedSourcePackage -> IO () #

data OutputFormat #

Constructors

SourceList Char |
TarGzArchive |

#### Instances

Instances details

Show OutputFormat # |
Instance details Defined in Distribution.Client.CmdSdist Methods showsPrec :: Int -> OutputFormat -> ShowS # show :: OutputFormat -> String # showList :: [OutputFormat] -> ShowS #
Eq OutputFormat # |
Instance details Defined in Distribution.Client.CmdSdist Methods (==) :: OutputFormat -> OutputFormat -> Bool # (/=) :: OutputFormat -> OutputFormat -> Bool #